"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addDependencies = void 0;
const dependencies_1 = require("@schematics/angular/utility/dependencies");
function addDependencies(tree, context, dependencies) {
    const pkgPath = 'package.json';
    for (const dependency of dependencies) {
        const result = (0, dependencies_1.getPackageJsonDependency)(tree, dependency.name, pkgPath);
        if (!result) {
            (0, dependencies_1.addPackageJsonDependency)(tree, dependency);
            context.logger.info(`Added ${dependency.name}@${dependency.version}`);
        }
        else {
            context.logger.info(`Found ${dependency.name}@${dependency.version}, do not add dependency`);
        }
    }
}
exports.addDependencies = addDependencies;
//# sourceMappingURL=dependency.helper.js.map