"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.nestPrettier = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const tasks_1 = require("@angular-devkit/schematics/tasks");
const constants_1 = require("./constants");
const dependency_helper_1 = require("./dependency.helper");
const eslint_prettier_helper_1 = require("./eslint-prettier.helper");
const prettier_helper_1 = require("./prettier.helper");
// You don't have to export the function as default. You can also have more than one rule factory
// per file.
function nestPrettier(options) {
    return (tree, context) => {
        context.addTask(new tasks_1.NodePackageInstallTask());
        (0, dependency_helper_1.addDependencies)(tree, context, [constants_1.prettier, constants_1.eslintConfigPrettier, constants_1.eslintPluginPrettier]);
        return (0, schematics_1.chain)([(0, prettier_helper_1.addPrettierConfig)(options), (0, eslint_prettier_helper_1.addEslintPrettier)(options)]);
    };
}
exports.nestPrettier = nestPrettier;
//# sourceMappingURL=index.js.map