"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addPrettierConfig = void 0;
function addPrettierConfig(options) {
    return (tree, context) => {
        const prettierOptions = {
            singleQuote: options.singleQuote,
            trailingComma: options.trailComma,
            tabWidth: options.tabWidth,
            semi: options.semi,
            printWidth: options.printWidth,
            bracketSpacing: options.bracketSpacing,
            useTabs: options.useTabs,
            arrowParens: options.arrowParens,
            quoteProps: options.quoteProps,
            requirePragma: options.requirePragma,
            insertPragma: options.insertPragma,
        };
        const configFileName = '.prettierrc';
        if (tree.exists(configFileName)) {
            tree.overwrite(configFileName, JSON.stringify(prettierOptions, null, 2));
            context.logger.info(`${configFileName} is overwritten`);
        }
        else {
            tree.create(configFileName, JSON.stringify(prettierOptions, null, 2));
            context.logger.info(`Created ${configFileName}`);
        }
        return tree;
    };
}
exports.addPrettierConfig = addPrettierConfig;
//# sourceMappingURL=prettier.helper.js.map